Subject: Re: bug#31852: Make memory-limit obsolete

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Jun 2018 08:34:52 -0700

Eli Zaretskii wrote:

> If nobody uses the function, I see no gain at all, because obsoleting
> a function tells those who use it not to.

If Emacs has useless and confusing features that consume documentation space and 
implementation resources, that is a net harm to current and future users. 
Omitting such features is therefore a net gain to users. The benefit to users by 
omitting useless and confusing features is worth the maintenance cost to us of 
obsoleting these features.

That being said, it appears I haven't convinced you to obsolete memory-limit, so 
I installed patch 1 but not patch 2 and am closing the bug report.